(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14861,        338]
NotebookOptionsPosition[     14498,        320]
NotebookOutlinePosition[     14884,        337]
CellTagsIndexPosition[     14841,        334]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}], ",", 
         RowBox[{"z", "[", "t", "]"}]}], "}"}], "/.", "\[IndentingNewLine]", 
       RowBox[{"Quiet", "@", 
        RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{"k1", "*", "A", "*", 
               RowBox[{"y", "[", "t", "]"}]}], "-", 
              RowBox[{"k2", "*", 
               RowBox[{"x", "[", "t", "]"}], "*", 
               RowBox[{"y", "[", "t", "]"}]}], "+", 
              RowBox[{"k5", "*", "A", "*", 
               RowBox[{"x", "[", "t", "]"}]}], "-", 
              RowBox[{"2", "k6", "*", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], "^", "2"}]}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"y", "'"}], "[", "t", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "k1"}], "*", "A", "*", 
               RowBox[{"y", "[", "t", "]"}]}], "-", 
              RowBox[{"k2", "*", 
               RowBox[{"x", "[", "t", "]"}], 
               RowBox[{"y", "[", "t", "]"}]}], "+", 
              RowBox[{"f", "*", "k7", "*", 
               RowBox[{"z", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"z", "'"}], "[", "t", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{"k5", "*", "A", "*", 
               RowBox[{"x", "[", "t", "]"}]}], "-", 
              RowBox[{"k7", "*", 
               RowBox[{"z", "[", "t", "]"}]}]}]}], ",", 
            RowBox[{
             RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
            RowBox[{
             RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}], ",", 
            RowBox[{
             RowBox[{"z", "[", "0", "]"}], "\[Equal]", "z0"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "[", "t", "]"}], ",", 
            RowBox[{"y", "[", "t", "]"}], ",", 
            RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X\>\"", ",", "\"\<Y\>\"", ",", "\"\<Z\>\""}], "}"}]}], 
     ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tmax", ",", "60", ",", "\"\<t\>\""}], "}"}], ",", ".1", ",", 
     "100", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", ".25", ",", "\"\<x0\>\""}], "}"}], ",", "0", ",", 
     "1", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y0", ",", "1", ",", "\"\<y0\>\""}], "}"}], ",", "0", ",", "1", 
     ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z0", ",", ".83", ",", "\"\<z0\>\""}], "}"}], ",", "0", ",", 
     "1", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"A", ",", "1", ",", "\"\<A\>\""}], "}"}], ",", "0", ",", "1", 
     ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "1", ",", "\"\<f\>\""}], "}"}], ",", "0", ",", "1", 
     ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k1", ",", ".1", ",", "\"\<k1\>\""}], "}"}], ",", "0", ",", "2",
      ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k2", ",", "1.8", ",", "\"\<k2\>\""}], "}"}], ",", "0", ",", 
     "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k5", ",", "2", ",", "\"\<k5\>\""}], "}"}], ",", "0", ",", "2", 
     ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k6", ",", ".2", ",", "\"\<k6\>\""}], "}"}], ",", "0", ",", "2",
      ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k7", ",", ".4", ",", "\"\<k7\>\""}], "}"}], ",", "0", ",", "2",
      ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.695467941581245*^9, 3.6954679896422358`*^9, {3.6954680903964157`*^9, 
   3.695468090800037*^9}, {3.695468135352187*^9, 3.695468167716496*^9}, {
   3.695468206226839*^9, 3.6954682390980043`*^9}, {3.6954683083436947`*^9, 
   3.695468653314135*^9}, {3.6954686857605352`*^9, 3.6954688391992407`*^9}, {
   3.695468987656443*^9, 3.6954690071060877`*^9}, 3.695469048766638*^9, {
   3.695469153335742*^9, 3.6954692181580973`*^9}, {3.695469479362391*^9, 
   3.695469529659368*^9}, 3.695469560294038*^9, {3.695469594313846*^9, 
   3.695469612042053*^9}, {3.695469864991194*^9, 3.695469886375971*^9}, 
   3.695469950186654*^9, {3.695469982508067*^9, 3.695469986850391*^9}, 
   3.695470041514627*^9, {3.695470241956276*^9, 3.6954702454098587`*^9}, {
   3.6954703252305813`*^9, 3.695470341238497*^9}, {3.695470396093831*^9, 
   3.695470396245822*^9}, 3.69547043119396*^9, 3.695470545348103*^9, {
   3.695470767773695*^9, 3.695470773104944*^9}, {3.695470856940748*^9, 
   3.6954708572664824`*^9}, {3.6954709485507936`*^9, 3.6954709574364023`*^9}, 
   3.6954711416229687`*^9, 3.695471195139859*^9, {3.695471329318305*^9, 
   3.695471370596232*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`A$$ = 1, $CellContext`f$$ = 
    1, $CellContext`k1$$ = 0.1, $CellContext`k2$$ = 1.8, $CellContext`k5$$ = 
    2, $CellContext`k6$$ = 0.2, $CellContext`k7$$ = 0.4, $CellContext`tmax$$ =
     60, $CellContext`x0$$ = 0.25, $CellContext`y0$$ = 1, $CellContext`z0$$ = 
    0.83, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`tmax$$], 60, "t"}, 0.1, 100}, {{
       Hold[$CellContext`x0$$], 0.25, "x0"}, 0, 1, 0.1}, {{
       Hold[$CellContext`y0$$], 1, "y0"}, 0, 1, 0.1}, {{
       Hold[$CellContext`z0$$], 0.83, "z0"}, 0, 1, 0.1}, {{
       Hold[$CellContext`A$$], 1, "A"}, 0, 1, 0.1}, {{
       Hold[$CellContext`f$$], 1, "f"}, 0, 1, 0.1}, {{
       Hold[$CellContext`k1$$], 0.1, "k1"}, 0, 2, 0.01}, {{
       Hold[$CellContext`k2$$], 1.8, "k2"}, 0, 2, 0.01}, {{
       Hold[$CellContext`k5$$], 2, "k5"}, 0, 2, 0.01}, {{
       Hold[$CellContext`k6$$], 0.2, "k6"}, 0, 2, 0.01}, {{
       Hold[$CellContext`k7$$], 0.4, "k7"}, 0, 2, 0.01}}, Typeset`size$$ = {
    554., {432., 444.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`tmax$215386$$ = 
    0, $CellContext`x0$215387$$ = 0, $CellContext`y0$215388$$ = 
    0, $CellContext`z0$215389$$ = 0, $CellContext`A$215390$$ = 
    0, $CellContext`f$215391$$ = 0, $CellContext`k1$215392$$ = 
    0, $CellContext`k2$215393$$ = 0, $CellContext`k5$215394$$ = 
    0, $CellContext`k6$215395$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`A$$ = 1, $CellContext`f$$ = 
        1, $CellContext`k1$$ = 0.1, $CellContext`k2$$ = 
        1.8, $CellContext`k5$$ = 2, $CellContext`k6$$ = 
        0.2, $CellContext`k7$$ = 0.4, $CellContext`tmax$$ = 
        60, $CellContext`x0$$ = 0.25, $CellContext`y0$$ = 
        1, $CellContext`z0$$ = 0.83}, "ControllerVariables" :> {
        Hold[$CellContext`tmax$$, $CellContext`tmax$215386$$, 0], 
        Hold[$CellContext`x0$$, $CellContext`x0$215387$$, 0], 
        Hold[$CellContext`y0$$, $CellContext`y0$215388$$, 0], 
        Hold[$CellContext`z0$$, $CellContext`z0$215389$$, 0], 
        Hold[$CellContext`A$$, $CellContext`A$215390$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$215391$$, 0], 
        Hold[$CellContext`k1$$, $CellContext`k1$215392$$, 0], 
        Hold[$CellContext`k2$$, $CellContext`k2$215393$$, 0], 
        Hold[$CellContext`k5$$, $CellContext`k5$215394$$, 0], 
        Hold[$CellContext`k6$$, $CellContext`k6$215395$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ParametricPlot3D[
        Evaluate[
         ReplaceAll[{
           $CellContext`x[$CellContext`t], 
           $CellContext`y[$CellContext`t], 
           $CellContext`z[$CellContext`t]}, 
          Quiet[
           
           NDSolve[{
            Derivative[
              1][$CellContext`x][$CellContext`t] == $CellContext`k1$$ \
$CellContext`A$$ $CellContext`y[$CellContext`t] - $CellContext`k2$$ \
$CellContext`x[$CellContext`t] $CellContext`y[$CellContext`t] + \
$CellContext`k5$$ $CellContext`A$$ $CellContext`x[$CellContext`t] - 
              2 $CellContext`k6$$ $CellContext`x[$CellContext`t]^2, 
             Derivative[
              1][$CellContext`y][$CellContext`t] == (-$CellContext`k1$$) \
$CellContext`A$$ $CellContext`y[$CellContext`t] - $CellContext`k2$$ \
$CellContext`x[$CellContext`t] $CellContext`y[$CellContext`t] + \
$CellContext`f$$ $CellContext`k7$$ $CellContext`z[$CellContext`t], 
             Derivative[
              1][$CellContext`z][$CellContext`t] == $CellContext`k5$$ \
$CellContext`A$$ $CellContext`x[$CellContext`t] - $CellContext`k7$$ \
$CellContext`z[$CellContext`t], $CellContext`x[
              0] == $CellContext`x0$$, $CellContext`y[
              0] == $CellContext`y0$$, $CellContext`z[
              0] == $CellContext`z0$$}, {
             $CellContext`x[$CellContext`t], 
             $CellContext`y[$CellContext`t], 
             $CellContext`z[$CellContext`t]}, {$CellContext`t, 
             0, $CellContext`tmax$$}]]]], {$CellContext`t, 
         0, $CellContext`tmax$$}, AxesLabel -> {"X", "Y", "Z"}, 
        PlotRange -> {{0, 5}, {0, 5}, {0, 10}}], 
      "Specifications" :> {{{$CellContext`tmax$$, 60, "t"}, 0.1, 100, 
         Appearance -> "Labeled"}, {{$CellContext`x0$$, 0.25, "x0"}, 0, 1, 
         0.1, Appearance -> "Labeled"}, {{$CellContext`y0$$, 1, "y0"}, 0, 1, 
         0.1, Appearance -> "Labeled"}, {{$CellContext`z0$$, 0.83, "z0"}, 0, 
         1, 0.1, Appearance -> "Labeled"}, {{$CellContext`A$$, 1, "A"}, 0, 1, 
         0.1, Appearance -> "Labeled"}, {{$CellContext`f$$, 1, "f"}, 0, 1, 
         0.1, Appearance -> "Labeled"}, {{$CellContext`k1$$, 0.1, "k1"}, 0, 2,
          0.01, Appearance -> "Labeled"}, {{$CellContext`k2$$, 1.8, "k2"}, 0, 
         2, 0.01, Appearance -> "Labeled"}, {{$CellContext`k5$$, 2, "k5"}, 0, 
         2, 0.01, Appearance -> "Labeled"}, {{$CellContext`k6$$, 0.2, "k6"}, 
         0, 2, 0.01, Appearance -> 
         "Labeled"}, {{$CellContext`k7$$, 0.4, "k7"}, 0, 2, 0.01, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{1247., {542., 555.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.695468946594945*^9, {3.695468989909252*^9, 3.695469008673602*^9}, 
   3.695469050123022*^9, 3.695469155738373*^9, {3.695469192297929*^9, 
   3.695469220295253*^9}, 3.695469408346702*^9, 3.695469463720962*^9, 
   3.695469530811337*^9, 3.6954695613775787`*^9, {3.695469596960341*^9, 
   3.6954696128131027`*^9}, 3.695469838104566*^9, 3.695469887315818*^9, 
   3.6954699510764923`*^9, 3.695469988354335*^9, 3.695470042459813*^9, 
   3.695470255717523*^9, {3.6954703261101923`*^9, 3.6954703420647182`*^9}, 
   3.6954703970026083`*^9, 3.6954704321155167`*^9, 3.695470546417602*^9, 
   3.695470689194215*^9, 3.695470773849927*^9, 3.6954708581617403`*^9, 
   3.695470958401248*^9, 3.695471155439331*^9, 3.6954711970299683`*^9, {
   3.695471351189739*^9, 3.695471372138918*^9}}]
}, Open  ]]
},
WindowSize->{1471, 1322},
WindowMargins->{{Automatic, 157}, {Automatic, 3}},
Magnification:>1.5 Inherited,
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 28, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 7134, 175, 1063, "Input"],
Cell[7717, 199, 6765, 118, 1215, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

